/****************************************************************************
 *
 *		SCROLL.H
 *
 *		Declares functions and variables available in the assembly
 *		file SCROLL.S.
 *
 *		We have to do a little trick to allow the smalldata model to be
 *		used with Blink. We want to modify the longword stored at
 *		BltBitMapAddress. However, this is located in the code section
 *		of the program. The solution is to declare it as a function, then
 *		setup a pointer to it from inside the actual code and modify it
 *		through the pointer. This is a little ugly, but reduces the code
 *		size by about 20%.
 *
 ***************************************************************************/

extern void NewBltBitMap();		        /* Our replacement BltBitMap routine	*/
extern void BltBitMapAddress();              	/* Points to original BltBitMap()	*/	

extern void Friend1();		/* Ptr to check fn for one active task	*/
extern void Friend2();		/* Ptr to check fn for two active tasks	*/
extern void ShareBlit();		/* Ptr to check fn to share CPU/blitter	*/
extern void StartBlit();		/* Ptr to check fn that always uses CPU	*/
extern void ExitBlit();		/* Ptr to check fn that never uses CPU	*/

extern void (*BlitFunc)();		        /* Holds Ptr to current check function	*/
extern long UsageCount;				/* No. of callers currently in CPU code	*/
extern long OnlySingle;				/* True if restricting blits to 1 bmap	*/
extern long Broken;				/* True if handling broken software		*/
extern BYTE MinTaskPri;				/* Ignore tasks with pri <= this value	*/
